%define release_tag 0
%define release_stamp 202502.1.gb25bb84

Name: elvees-alsa-prepare
Version: %release_tag
Release: %release_stamp.elv.alt1

Summary: ALSA configuration scripts
Group: Development/Tools
License: GPL-2.0
Vendor: RnD Center "ELVEES", JSC
Source: %name-%release_stamp.tar.gz
BuildArch: noarch

BuildRequires(pre): rpm-macros-cmake
BuildRequires: cmake

%description
systemd service for creating ALSA asound.state for ELVEES boards.

%prep
%setup -n %name

%build
%cmake
%cmake_build

%install
%cmake_install

# Macro "_unitdir" value is different in p10 and p11:
# p10: /lib/systemd/system
# p11: /usr/lib/systemd/system
%if "%_unitdir" == "/lib/systemd/system"
mv -f %buildroot%_prefix/lib %buildroot/lib
%endif

%define req_dir %_sysconfdir/systemd/system/alsa-restore.service.requires

mkdir -p %buildroot%req_dir
ln -s %_unitdir/elvees-alsa-prepare.service %buildroot%req_dir/

%files
%_sysconfdir/elvees-alsa-prepare
%req_dir/*
%_unitdir/elvees-alsa-prepare.service
%_sbindir/elvees-alsa-prepare.sh
